Package ghidra.app.util.viewer.format.actions

# Class SetSpacerTextAction

java.lang.Object
docking.action.DockingAction
ghidra.app.util.viewer.format.actions.SetSpacerTextAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class SetSpacerTextAction extends DockingAction

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetSpacerTextAction(String owner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionContext context)`
  method to actually perform the action logic for this action.
  `boolean`
  `isAddToPopup(ActionContext context)`
  method is used to determine if this action should be displayed on the current popup.

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### SetSpacerTextAction

    public SetSpacerTextAction(String owner)

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionContext context)
    Description copied from interface: `DockingActionIf`
    method to actually perform the action logic for this action.
    Specified by:
      `actionPerformed` in interface `DockingActionIf`
    Specified by:
      `actionPerformed` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` object that provides information about where and how this action was invoked.

  - ### isAddToPopup

    public boolean isAddToPopup(ActionContext context)
    Description copied from interface: `DockingActionIf`
    method is used to determine if this action should be displayed on the current popup. This method will only be called if the action has popup `PopupMenuData` set.

    Generally, actions don't need to override this method as the default implementation will defer to the `DockingActionIf.isEnabledForContext(ActionContext)`, which will have the effect of adding the action to the popup only if it is enabled for a given context. By overriding this method, you can change this behavior so that the action will be added to the popup, even if it is disabled for the context, by having this method return true even if the `DockingActionIf.isEnabledForContext(ActionContext)` method will return false, resulting in the action appearing in the popup menu, but begin disabled.

    Specified by:
      `isAddToPopup` in interface `DockingActionIf`
    Overrides:
      `isAddToPopup` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` from the active provider.
    Returns:
      true if this action is appropriate for the given context.